@echo off
echo Google 3d Warehouse Registration
echo.

echo Registering 3DWarehouseClient.dll...
regsvr32 /s /c 3DWarehouseClient.dll
if errorlevel 1 goto ReportError1
echo 3DWarehouseClient.dll registration successful!
echo.

echo Registering RhinoWarehouseClient.dll...
regsvr32 /s /c RhinoWarehouseClient.dll
if errorlevel 1 goto ReportError2
echo RhinoWarehouseClient.dll registration successful!
echo.

echo Registering SketchUpReader.dll...
regsvr32 /s /c SketchUpReader.dll
if errorlevel 1 goto ReportError3
echo SketchUpReader.dll registration successful!
echo.

goto End

:ReportError1
echo 3DWarehouseClient.dll registration failed!
echo.
goto Error

:ReportError2
echo RhinoWarehouseClient.dll registration failed!
echo.
goto Error

:ReportError3
echo SketchUpReader.dll registration failed!
echo.
goto Error

:Error
echo Google 3d Warehouse Registration failed!
echo Make sure you have Administrator rights before
echo running batch file. Also, if you are running Windows
echo Vista or Windows 7, try to "Run as administrator" this
echo batch file.

:End
echo.
Pause
